#include <hmg.ch>

function set_config()

   set navigation extended    

   *set procedure to open_dbf
   *set procedure to open_ntx
   *set procedure to use_dbf
   
   
use mconfig new

_dmp = folder_dmp
_bac = folder_bac

if reccount() = 0
   dbappend()
   _dmp = 'Select MySqlDump folder'
   _bac = 'Select Backup folder'
endif

   DEFINE WINDOW SetConfig ;
      AT 0,0 ;
      WIDTH 400 ;
      HEIGHT 400 ;
      TITLE "Configure" ;
      MODAL

      ON KEY ESCAPE ACTION SetConfig.Release

   @ 50,  20 LABEL set1label  VALUE "MySqlDump"
   @ 70,  20 TEXTBOX mzFOLDER VALUE _dmp WIDTH 300 
  
   @ 150,  20 LABEL set2label  VALUE "Backup"
   @ 170,  20 TEXTBOX mbFolder VALUE _bac  WIDTH 300 
   
   get_config()	  

   @ 300, 50 BUTTON SAVE_8266; 
      CAPTION "Save" ; 
      PICTURE "frm_ok.bmp" LEFT ;      
	  ACTION Save_folder() ;
      WIDTH 100 ;
      HEIGHT 40

   @ 300, 160 BUTTON CANCEL_8266; 
      CAPTION "Cancel" ; 
      PICTURE "frm_cancel.bmp" LEFT ;
      ACTION SetConfig.Release ;
      WIDTH 100 ;
      HEIGHT 40

	  
   @ 100, 250 BUTTON SELECT1; 
      CAPTION "Select folder" ; 
	  ACTION dmp_folder_name() ;
      WIDTH 100 ;
      HEIGHT 25
	  
   @ 200, 250 BUTTON SELECT2; 
      CAPTION "Select folder" ; 
	  ACTION back_folder_name() ;
      WIDTH 100 ;
      HEIGHT 25
	  	  
	  
   END WINDOW

   CENTER WINDOW SetConfig

   ACTIVATE WINDOW SetConfig

RETURN
*:---------------------------------------
function dmp_folder_name()

   SetConfig.mzFOLDER.Value := GetFolder()

return
*:---------------------------------------
function back_folder_name()

   SetConfig.mbFOLDER.Value := GetFolder()

return
*:---------------------------------------
function get_config()

   SetConfig.mZfolder.Value := _dmp
   SetConfig.mBfolder.Value := _bac

return
*:-----------------------------------------
function save_folder()

   _dmp := SetConfig.mZfolder.Value 
   _bac := SetConfig.mBfolder.Value 

   replace folder_dmp with _dmp 
   replace folder_bac with _bac 
   close

   SetConfig.Release
   
return 
